Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface CodeGeneratorService

All Known Implementing Classes:
  CompilerService

    public interface CodeGeneratorService

This interface is a dummy stub for the Java code generator in Saxon-EE. It is designed to enable code to be shared between Saxon-HE and Saxon-EE without failing on Saxon-HE because the code generation capability is missing.

Method Summary
`String` | `cast(String variable, Class target)` Generate a Java cast unless it is known to be unnecessary.
`String` | `getContextVariableName()` Get the name of the Java variable currently bound to the dynamic XPathContext object

Method Detail

### getContextVariableName

    String getContextVariableName()

  Get the name of the Java variable currently bound to the dynamic XPathContext object

  Returns:
    the Java variable name

### cast

    String cast(String variable,
                Class target)

  Generate a Java cast unless it is known to be unnecessary.

  Parameters:
    `variable` - the name of the variable that possibly needs to be cast
    `target` - the required type for the expression where the variable is being used
  Returns:
    either the variable name on its own, if no cast is required, or a string in the form "((class)variable)" if casting is needed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.